import { HTMLStencilElement } from '../../stencil-public-runtime';
import { Nullable } from "../../types/interfaces";
export interface GovHost {
    name: string;
    hostElement: HTMLStencilElement;
    hasSlot(name: string): boolean;
    isSlotEmpty(name: string): boolean;
    getSlot(name: string): HTMLElement;
    getParent(element: string): HTMLElement;
    getSlotContent(name: string): Nullable<string>;
    passChildAttr(selector: string | string[], name: string, value: any): void;
    removeChildAttr(selector: string | string[], name: string): void;
    classes(classes: string | string[]): string;
}
